package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 市场大盘（日）对象 market_stock
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
public class MarketStock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 渠道 */
    @Excel(name = "渠道")
    private String channel;

    /** 父类目 */
    @Excel(name = "父类目")
    private String parentCategory;

    /** 子类目 */
    @Excel(name = "子类目")
    private String sonCategory;

    /** 时间范围 */
    @Excel(name = "时间范围")
    private String time;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private String amount;

    /** 搜索热度 */
    @Excel(name = "搜索热度")
    private String searchHeat;

    /** 搜索人气 */
    @Excel(name = "搜索人气")
    private String searchPopularity;

    /** 加购人气 */
    @Excel(name = "加购人气")
    private String purchasePopularity;

    /** 加购热度 */
    @Excel(name = "加购热度")
    private String purchaseHeat;

    /** 收藏热度 */
    @Excel(name = "收藏热度")
    private String collectionHeat;

    /** 浏览热度 */
    @Excel(name = "浏览热度")
    private String browsingHeat;

    /** 访问人气 */
    @Excel(name = "访问人气")
    private String visitorPopularity;

    /** 收藏人气 */
    @Excel(name = "收藏人气")
    private String collectionPopularity;

    /** 客群指数 */
    @Excel(name = "客群指数")
    private String customerBaseIndex;

    /** ID */
    private Integer id;

    public void setChannel(String channel) 
    {
        this.channel = channel;
    }

    public String getChannel() 
    {
        return channel;
    }
    public void setParentCategory(String parentCategory) 
    {
        this.parentCategory = parentCategory;
    }

    public String getParentCategory() 
    {
        return parentCategory;
    }
    public void setSonCategory(String sonCategory) 
    {
        this.sonCategory = sonCategory;
    }

    public String getSonCategory() 
    {
        return sonCategory;
    }
    public void setTime(String time) 
    {
        this.time = time;
    }

    public String getTime() 
    {
        return time;
    }
    public void setAmount(String amount) 
    {
        this.amount = amount;
    }

    public String getAmount() 
    {
        return amount;
    }
    public void setSearchHeat(String searchHeat) 
    {
        this.searchHeat = searchHeat;
    }

    public String getSearchHeat() 
    {
        return searchHeat;
    }
    public void setSearchPopularity(String searchPopularity) 
    {
        this.searchPopularity = searchPopularity;
    }

    public String getSearchPopularity() 
    {
        return searchPopularity;
    }
    public void setPurchasePopularity(String purchasePopularity) 
    {
        this.purchasePopularity = purchasePopularity;
    }

    public String getPurchasePopularity() 
    {
        return purchasePopularity;
    }
    public void setPurchaseHeat(String purchaseHeat) 
    {
        this.purchaseHeat = purchaseHeat;
    }

    public String getPurchaseHeat() 
    {
        return purchaseHeat;
    }
    public void setCollectionHeat(String collectionHeat) 
    {
        this.collectionHeat = collectionHeat;
    }

    public String getCollectionHeat() 
    {
        return collectionHeat;
    }
    public void setBrowsingHeat(String browsingHeat) 
    {
        this.browsingHeat = browsingHeat;
    }

    public String getBrowsingHeat() 
    {
        return browsingHeat;
    }
    public void setVisitorPopularity(String visitorPopularity) 
    {
        this.visitorPopularity = visitorPopularity;
    }

    public String getVisitorPopularity() 
    {
        return visitorPopularity;
    }
    public void setCollectionPopularity(String collectionPopularity) 
    {
        this.collectionPopularity = collectionPopularity;
    }

    public String getCollectionPopularity() 
    {
        return collectionPopularity;
    }
    public void setCustomerBaseIndex(String customerBaseIndex) 
    {
        this.customerBaseIndex = customerBaseIndex;
    }

    public String getCustomerBaseIndex() 
    {
        return customerBaseIndex;
    }
    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("channel", getChannel())
            .append("parentCategory", getParentCategory())
            .append("sonCategory", getSonCategory())
            .append("time", getTime())
            .append("amount", getAmount())
            .append("searchHeat", getSearchHeat())
            .append("searchPopularity", getSearchPopularity())
            .append("purchasePopularity", getPurchasePopularity())
            .append("purchaseHeat", getPurchaseHeat())
            .append("collectionHeat", getCollectionHeat())
            .append("browsingHeat", getBrowsingHeat())
            .append("visitorPopularity", getVisitorPopularity())
            .append("collectionPopularity", getCollectionPopularity())
            .append("customerBaseIndex", getCustomerBaseIndex())
            .append("id", getId())
            .toString();
    }
}
